:root {
    --dark: #262626;
    --light: #ffffff;
    --accent: #00c896;

    --indicator-size: 40px;
    --menu-padding-y: 10px;
    --list-margin-x: 10px;
    --icon-height: 16px;
}

* {
    margin: 0;
    padding: 0;
    box-sizing: border-box;
}

html,
body {
    height: 100%;
    width: 100%;
    background: var(--dark);
    color: var(--light);
    font-size: 16px;
    font-family: "Open Sans", sans-serif;
}

.container {
    width: 100%;
    height: 100%;
    display: flex;
    justify-content: center;
    align-items: center;
}

.menu {
    position: relative;
    background: var(--light);
    color: var(--dark);
    border-radius: 4px;
    box-shadow: 0 0 15px rgba(0, 0, 0, 1);
    padding: var(--menu-padding-y) 0;
}

.menu ul {
    position: relative;
    display: flex;
}

.menu ul li {
    position: relative;
    list-style: none;
    margin: 0 var(--list-margin-x);
    z-index: 1;
}

.menu ul li a {
    position: relative;
    display: flex;
    flex-direction: column;
    color: var(--dark);
    justify-content: center;
    align-items: center;
    width: 100%;
    text-decoration: none;
}

.menu ul li a .icon {
    position: relative;
    display: block;
    transition: 0.3s;
}

.menu ul li a .text {
    position: relative;
    display: block;
}

.menu ul li.active a .icon {
    font-size: var(--icon-height);
    transform: translateY(calc((var(--icon-height) / 2 + var(--menu-padding-y)) * -1));
}

.indicator {
    position: absolute;
    width: var(--indicator-size);
    height: var(--indicator-size);
    background: var(--accent);
    border-radius: 50%;
    transition: 0.3s;
    transform: translateX(-50%);
    top: calc(var(--indicator-size) / 2 * -1);
    border: 5px solid var(--dark);
}

.indicator::after {
    content: '';
    display: block;
    position: absolute;
    right: -50%;
    top: 50%;
    width: 10px;
    height: 10px;
    background: var(--light);
    border-top-left-radius: 50%;
    box-shadow: 0 -5px 0 0 var(--dark);
}

.indicator::before {
    content: '';
    display: block;
    position: absolute;
    left: -50%;
    top: 50%;
    width: 10px;
    height: 10px;
    background: var(--light);
    border-top-right-radius: 50%;
    box-shadow: 0px -5px 0 0 var(--dark);
}